import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NullableJsonNullValueInputSchema } from '../enums/NullableJsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  accountSid: z.string(),
  authToken: z.string(),
  phoneNumber: z.string(),
  greetingMessage: z.string().optional().nullable(),
  templates: z.union([NullableJsonNullValueInputSchema, jsonSchema]).optional()
}).strict();
export const TwilioSettingsCreateManyInputObjectSchema: z.ZodType<Prisma.TwilioSettingsCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.TwilioSettingsCreateManyInput>;
export const TwilioSettingsCreateManyInputObjectZodSchema = makeSchema();
